Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# AnyTypeCode_Adapter_Impl.h File Reference

`#include "tao/AnyTypeCode/TAO_AnyTypeCode_Export.h"`
`#include "tao/AnyTypeCode_Adapter.h"`
`#include "ace/Service_Config.h"`

Include dependency graph for AnyTypeCode_Adapter_Impl.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_AnyTypeCode_Adapter_Impl
## Defines
#define | ANYTYPECODE__EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name) virtual CORBA::TypeCode_ptr _tao_type_ ## name (void) const;
## Variables
TAO_END_VERSIONED_NAMESPACE_DECL int | TAO_Requires_TAO_AnyTypeCode_Adapter_Impl

## Detailed Description

Id
  AnyTypeCode_Adapter_Impl.h,v 1.4 2006/02/21 19:15:56 jwillemsen Exp

Author:
  Johnny Willemsen <jwillemsen@remedy.nl>

## Define Documentation

#define ANYTYPECODE__EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) | virtual CORBA::TypeCode_ptr _tao_type_ ## name (void) const;

## Variable Documentation

TAO_END_VERSIONED_NAMESPACE_DECL int TAO_Requires_TAO_AnyTypeCode_Adapter_Impl`[static]`

| Initial value:
      TAO_AnyTypeCode_Adapter_Impl::Initializer ()